XAUDIO2_PERFORMANCE_DATA Struct Reference

`#include <SDL_xaudio2.h>`

## Data Fields

UINT64 | AudioCyclesSinceLastQuery
UINT64 | TotalCyclesSinceLastQuery
UINT32 | MinimumCyclesPerQuantum
UINT32 | MaximumCyclesPerQuantum
UINT32 | MemoryUsageInBytes
UINT32 | CurrentLatencyInSamples
UINT32 | GlitchesSinceEngineStarted
UINT32 | ActiveSourceVoiceCount
UINT32 | TotalSourceVoiceCount
UINT32 | ActiveSubmixVoiceCount
UINT32 | ActiveResamplerCount
UINT32 | ActiveMatrixMixCount
UINT32 | ActiveXmaSourceVoices
UINT32 | ActiveXmaStreams

## Detailed Description

Definition at line 95 of file SDL_xaudio2.h.

## Field Documentation

UINT32 XAUDIO2_PERFORMANCE_DATA::ActiveMatrixMixCount

Definition at line 107 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::ActiveResamplerCount

Definition at line 106 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::ActiveSourceVoiceCount

Definition at line 103 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::ActiveSubmixVoiceCount

Definition at line 105 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::ActiveXmaSourceVoices

Definition at line 108 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::ActiveXmaStreams

Definition at line 109 of file SDL_xaudio2.h.

UINT64 XAUDIO2_PERFORMANCE_DATA::AudioCyclesSinceLastQuery

Definition at line 96 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::CurrentLatencyInSamples

Definition at line 101 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::GlitchesSinceEngineStarted

Definition at line 102 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::MaximumCyclesPerQuantum

Definition at line 99 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::MemoryUsageInBytes

Definition at line 100 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::MinimumCyclesPerQuantum

Definition at line 98 of file SDL_xaudio2.h.

UINT64 XAUDIO2_PERFORMANCE_DATA::TotalCyclesSinceLastQuery

Definition at line 97 of file SDL_xaudio2.h.

UINT32 XAUDIO2_PERFORMANCE_DATA::TotalSourceVoiceCount

Definition at line 104 of file SDL_xaudio2.h.

The documentation for this struct was generated from the following file:

- src/audio/xaudio2/SDL_xaudio2.h